import Cookies from 'js-cookie'

/**
 * 验证相关操作方法
 * 公钥存储在localStorage中
 * token存储在cookie
 */


const TokenKey = 'token'
const PublicKey = 'public_key'
const Rem = 'rem'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getPublicKey() {
  return window.localStorage.getItem(PublicKey)
}

export function setPublicKey(publicKey) {
  return window.localStorage.setItem(PublicKey, publicKey)
}

export function removePublicKey() {
  return window.localStorage.removeItem(PublicKey)
}

export function getRem() {
  return Cookies.get(Rem)
}

export function setRem(token) {
  return Cookies.set(Rem, token)
}

export function removeRem() {
  return Cookies.remove(Rem)
}
